# Generated from rake4latex-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rake4latex

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: Rake4LaTeX contains rake-tasks to compile TeX-Documents
License: LPPL-1.3c
URL: http://gems.rubypla.net/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(more_unit_test)
# BuildRequires: rubygem(more_unit_test) < 1
# BuildRequires: rubygem(more_unit_test) > 0.0.2
BuildArch: noarch

%description
Rake4LaTeX contains rake-tasks to translate (La)TeX-files 
as often as needed. Necessary makeindex or bibliography-calls are done, 
support of splitindex, gloss, rail.
Support of LaTeX (and dvips + ps2pdf), pdfLaTeX, XeLaTeX, LuaLaTeX.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rake4latex.rb
%{gem_instdir}/bin
%{gem_libdir}
%license %{gem_instdir}/license.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/readme.html
%doc %{gem_instdir}/readme.txt
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.5-1
- Initial package
